Perform various operations on pledge records.
Operations
getPledge
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPledgeLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getPledgePOST /nexum/627/2022.01/account/getPledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"PledgeLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getPledgeSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPledgeLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getPledgeSelectFieldsPOST /nexum/627/2022.01/account/getPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"PledgeLocator": 0,
"SelectableFields": {
"IncludeAllPledgeFields": true,
"PledgeFields": {
"AccountNumber": true,
"Amount": true,
"CollateralCode": true,
"CollateralDescription": true,
"CollateralNumber": true,
"EffectiveDate": true,
"ExpirationDate": true,
"Id": true,
"Locator": true,
"Percent": true,
"Priority": true,
"RecordChangeDate": true,
"Type": true
}
},
"nxAttributes": {
"customFields": {}
}
}getPledgePagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getPledgePagedListPOST /nexum/627/2022.01/account/getPledgePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getPledgeListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getPledgeListSelectFieldsPOST /nexum/627/2022.01/account/getPledgeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"SelectableFields": {
"IncludeAllPledgeFields": true,
"PledgeFields": {
"AccountNumber": true,
"Amount": true,
"CollateralCode": true,
"CollateralDescription": true,
"CollateralNumber": true,
"EffectiveDate": true,
"ExpirationDate": true,
"Id": true,
"Locator": true,
"Percent": true,
"Priority": true,
"RecordChangeDate": true,
"Type": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchPledgeSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchPledgeSelectFieldsPOST /nexum/627/2022.01/account/searchPledgeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"SelectableFields": {
"IncludeAllPledgeFields": true,
"PledgeFields": {
"AccountNumber": true,
"Amount": true,
"CollateralCode": true,
"CollateralDescription": true,
"CollateralNumber": true,
"EffectiveDate": true,
"ExpirationDate": true,
"Id": true,
"Locator": true,
"Percent": true,
"Priority": true,
"RecordChangeDate": true,
"Type": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getPledgePagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getPledgePagedListSelectFieldsPOST /nexum/627/2022.01/account/getPledgePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPledgeFields": false,
"PledgeFields": {
"Locator": true,
"Type": true,
"AccountNumber": true,
"Id": true,
"Amount": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchPledgePagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchPledgePagedSelectFieldsPOST /nexum/627/2022.01/account/searchPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllPledgeFields": false,
"PledgeFields": {
"Locator": true,
"Type": true,
"AccountNumber": true,
"Id": true,
"Amount": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updatePledgeByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
PledgeLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/updatePledgeByIDPOST /nexum/627/2022.01/account/updatePledgeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PledgeLocator": 0,
"PledgeUpdatableFields": {
"Type": 0,
"CollateralNumber": "0",
"Amount": 0,
"Percent": 0,
"EffectiveDate": "2026-01-01"
},
"AccountNumber": "0000000000",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createPledge
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
PledgeLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createPledgePOST /nexum/627/2022.01/account/createPledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PledgeCreatableFields": {
"Type": 0,
"CollateralNumber": "0",
"Amount": 0,
"Percent": 0,
"EffectiveDate": "2026-01-01"
},
"AccountNumber": "0000000000",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deletePledge
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalPledgeLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/account/deletePledgePOST /nexum/627/2022.01/account/deletePledge HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PledgeLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}